Bug 828661 - Failed to edit management networks when management network is over a vlan
Failed to edit management networks when management network is over a vlan
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Alona Kaplan
Martin Pavlik
network
:
Depends On:
Blocks: 834204
  Show dependency treegraph
 
Reported: 2012-06-05 03:06 EDT by Moti Asayag
Modified: 2016-02-10 14:56 EST (History)
7 users (show)

See Also:
Fixed In Version: si12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 834204 (view as bug list)
Environment:
Last Closed: 2012-12-04 15:06:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moti Asayag 2012-06-05 03:06:04 EDT
Description of problem:
On cluster 3.0, the 'Edit management network' dialouge will fail to open properly (no 'ok' nor 'cancel' buttons), if the management network is on top of a vlan.

How reproducible:
always

Steps to Reproduce:
1. Add a Host to cluster 3.0.
2. Set the management network on top of a VLAN.
3. Select the management network and click on 'Edit management network'.
  
Actual results:
The 'Edit management network' dialouge is not opened completely (no 'ok' nor 'cancel' buttons)

Expected results:
'Edit management network' dialouge should be opened properly

Additional info:
Debugging the gwt shows that HostInterfaceListModel.GetInterfaceOptionsForEditNetwork tries to access the engien side to query for the vlan parent interface.
It uses the DataProvider.GetVlanParentInterface for it, while this code isn't supposed to be supported and should have been converted to AsyncDataProvider.
There for the reture value of that query is null and a NPE is thrown on webadmin side, causing the dialouge not to open as expected.
Comment 1 Alona Kaplan 2012-07-25 07:05:35 EDT
fixed in commit bbd63c07af7d55e5d478594625f14ced908b4dd5

Note You need to log in before you can comment on or make changes to this bug.